Browse Source

Release 3-2-2 with tag: REL_mrw-c++-3-2-2

master
Marc Wäckerlin 12 years ago
parent
commit
cb1ea7bd46
5 changed files with 117 additions and 2 deletions
  1. 3
    0
      ChangeLog
  2. 1
    1
      configure.in
  3. 1
    1
      makefile.am
  4. 63
    0
      suppressions.valgrind
  5. 49
    0
      valcheck.sh

+ 3
- 0
ChangeLog View File

@@ -1,3 +1,6 @@
1
+* Sun Aug 5 2007 Marc Waeckerlin - mrw-c++-3.2.2 (mrw)
2
+	- Added Valgrind files
3
+	- No redundant checking in makefile for "make release"
1 4
 * Sun Aug 5 2007 Marc Waeckerlin - mrw-c++-3.2.1 (mrw)
2 5
 	- Compatibility to UNICODE log4cxx 0.9.7
3 6
 * Fri Jul 7 2007 Marc Waeckerlin - mrw-c++-3.2.0 (mrw)

+ 1
- 1
configure.in View File

@@ -17,7 +17,7 @@ AC_CANONICAL_SYSTEM
17 17
 PACKAGENAME=mrw-c++
18 18
 m4_define(x_major, 3)
19 19
 m4_define(x_minor, 2)
20
-m4_define(x_least, 1)
20
+m4_define(x_least, 2)
21 21
 
22 22
 # copy M4 to shell
23 23
 MAJOR=x_major

+ 1
- 1
makefile.am View File

@@ -54,7 +54,7 @@ rpm: dist
54 54
 	rpmbuild -ba --clean @PACKAGENAME@.spec
55 55
 	rpmbuild -bb --clean @PACKAGENAME@-minimal.spec
56 56
 
57
-webserver: check distcheck rpm webserver.en webserver.de webserver.zh
57
+webserver: rpm webserver.en webserver.de webserver.zh
58 58
 	- rm -rf ~/www/marc/data/doxygen/mrw-cpp
59 59
 	mkdir -p  ~/www/marc/data/doxygen/mrw-cpp
60 60
 	cp doc/html/*.html ~/www/marc/data/doxygen/mrw-cpp/

+ 63
- 0
suppressions.valgrind View File

@@ -0,0 +1,63 @@
1
+# log4cxx #######################################################################
2
+{
3
+   log4cxx-Addr1-TimeZone
4
+   Memcheck:Addr1
5
+   fun:*
6
+   fun:*
7
+   fun:*log4cxx*
8
+}
9
+{
10
+   log4cxx-Addr2-getProperty
11
+   Memcheck:Addr2
12
+   fun:*
13
+   fun:*log4cxx*
14
+}
15
+{
16
+   log4cxx-Free-StringTokenizer
17
+   Memcheck:Free
18
+   fun:*
19
+   fun:*log4cxx*
20
+}
21
+{
22
+   log4cxx-Addr1-TimeZone2
23
+   Memcheck:Addr1
24
+   fun:*
25
+   fun:*
26
+   fun:*
27
+   fun:*log4cxx*
28
+}
29
+{
30
+   log4cxx-Addr2-DateFormat::format1
31
+   Memcheck:Addr2
32
+   fun:*
33
+   fun:*
34
+   fun:*
35
+   fun:*
36
+   fun:*log4cxx*
37
+}
38
+{
39
+   log4cxx-Addr2-DateFormat::format2
40
+   Memcheck:Addr2
41
+   fun:*
42
+   fun:*
43
+   fun:*
44
+   fun:*
45
+   fun:*
46
+   fun:*log4cxx*
47
+}
48
+{
49
+   log4cxx-Cond-DateFormat::format
50
+   Memcheck:Cond
51
+   fun:*
52
+   fun:*
53
+   fun:*
54
+   fun:*
55
+   fun:*
56
+   fun:*log4cxx*
57
+}
58
+# system ########################################################################
59
+{
60
+   system-Addr2-getenv
61
+   Memcheck:Addr2
62
+   fun:getenv
63
+}

+ 49
- 0
valcheck.sh View File

@@ -0,0 +1,49 @@
1
+#! /bin/bash
2
+
3
+# (c) Siemens Schweiz AG, vertraulich
4
+# $Id: checklatest.sh 323 2007-02-23 15:32:45Z chawama0 $
5
+#
6
+#        1          2         3         4         5         6         7         8
7
+# 3456789012345676890123456789012345678901234567890123456789012345678901234567890
8
+
9
+printUsage() {
10
+    echo "Usage: $0 <program-to-check>"
11
+    echo ""
12
+    echo "This script checks a program using valgrind."
13
+    return 0
14
+}
15
+
16
+if [ $# -ne 1 -o "$1" = "-h" -o "$1" = "--help" ] ; then
17
+    printUsage
18
+    exit 1
19
+fi
20
+
21
+if ! valgrind \
22
+  --show-reachable=yes \
23
+  --leak-check=full \
24
+  --gen-suppressions=all \
25
+  --log-file-exactly=valgrind.log \
26
+  --suppressions=$(dirname $0)/suppressions.valgrind \
27
+  $1; then
28
+  echo "******** Valcheck: Testfall fehlgeschlagen! (normaler Fehler)"
29
+  exit 1
30
+fi
31
+
32
+if ! ( ( grep 'ERROR SUMMARY: 0 errors from 0 contexts' valgrind.log \
33
+         && \
34
+         ( grep 'definitely lost: 0 bytes in 0 blocks' valgrind.log \
35
+           && \
36
+           grep 'possibly lost: 0 bytes in 0 blocks' valgrind.log \
37
+           && \
38
+           grep 'still reachable: 0 bytes in 0 blocks' valgrind.log \
39
+           ||
40
+           grep 'All heap blocks were freed -- no leaks are possible' \
41
+                valgrind.log
42
+         )
43
+     ) 2>&1 > /dev/null ); then
44
+  mv valgrind.log valgrind-$(basename $1).error
45
+  echo "******** Valcheck: Speicherfehler! Siehe valgrind-$(basename $1).error"
46
+  exit 1
47
+fi
48
+
49
+rm valgrind.log

Loading…
Cancel
Save